{% extends "layout.html" %}
{% load myfilters %}
{% load static %}
{% block title %}Add Job{% endblock %}

{% block body %}
	<div class="row">
		<div class="col-md-3">
		</div>
		<div class="col-md-6">
			<form action="{% url 'add_job' %}" method="post">
			{% csrf_token %}
			{% if data %}
			<h2 class="text-center">Edit Detail Pekerjaan</h2>
			{% else %}
			<h2 class="text-center">Tambah Pekerjaan</h2>
			{% endif %}
			<div class="form-row">
				
				<div class="form-group col-md-12">
					<div class="grid_text">{{ form.posisi.label  }}</div>
					<div>{{form.posisi|addclass:'form-control'}}</div>
				</div>
				
				<div class="form-group col-md-12">
					<div class="grid_text">{{ form.deskripsi.label }}</div>
					<div>{{form.deskripsi|addclass:'form-control form-control-sm mb-2'}}</div>					
				</div>
				
				<div class="col-md-12">
					<p class="form_bahan">Requirements</p>
					{% if data.requirements %}
						<div id="reqadd" name="reqadd" type="1">
							{% for i in data.requirements %}
							<input class="form-control mb-1" type="text" name="req" value="{{i}}">
							{% endfor %}
						</div>
					{% else %}
					<div id="reqadd" name="reqadd" type="1">
						<input class="form-control mb-1" type="text" name="req" placeholder="Requirements 1">
						<input class="form-control mb-1" type="text" name="req" placeholder="Requirements 2">
						<input class="form-control mb-1" type="text" name="req" placeholder="Requirements 3">
					</div>
					{% endif %}
					<button id="reqbtn" class="btn btn-secondary" type="button">Tambah Baris Requirements</button>
				</div>
				
			</div>
			<div class="text-center mt-4">
				{% if data %}
				<button class="btn btn-primary">Edit Detail Pekerjaan</button>
				{% else %}
				<button class="btn btn-primary">Tambah Pekerjaan</button>
				{% endif %}
			</div>
			</form>
			
		</div>
		<div class="col-md-3">
		</div>
	</div>
{% endblock %}

{% block script %}
    <script src="{% static 'rekrutmen/rek.js' %}"></script>
{% endblock %}